QGIS Application - Bug report #16944
'selection’' parameter in QGIS processing not working
2017-07-29 07:02 PM - R. R.

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corruptsdata: Copied to github as #: 24843
Description

The selection parameter does not work here on QGIS 2.99 master.

History

#1 - 2017-07-29 07:02 PM - R. R.
https://issues.qgis.org/attachments/download/11285/selection_01.png
#2 - 2017-07-29 07:03 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#3 - 2017-07-29 10:40 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

That's because you're using 2.x API. In 3.0 this should be "enum" instead of "selection"

#4 - 2017-07-30 09:01 AM - R. R.

Thx for the info. Where can | find the new parameter types? | noticed that 'multiple field' is also available, but it lists layers instead of fields (see #16348).

Files

selection_01.png 27 KB 2017-07-29 R.R.

2024-04-20 1/1



